//priority: 0

onEvent('recipes', e => {

    removeRecipeByOutput(e, [
      PREXT("dark_matter_trident"),
      PREXT("red_matter_trident"),
    ])

	//dm
	e.recipes.extendedcrafting.shaped_table(PREXT("dark_matter_trident"), tridentTemplates.ultimate, {
		A: PREXP('magnum_star_drei'), // 1.6 bil
		B: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:shadow_steel" }),
		C: KJ('4m_component_wafer'),
		D: MC("trident"),
		E: PRE('dark_matter_block'),
		F: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:dark_matter" }),
		G: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:antimatter_relay_mk2" }),
	}).id(KJ("dark_matter_trident"))


    //rm
    e.custom({
      input: [
        { item: SS('red_nether_star') },
        { item: PREXT("dark_matter_trident") },
        { item: SS('red_nether_star') },
        { item: PRE("red_matter_block") },
        { item: PRE("red_matter_block") },
        { item: PREXP("dark_power_flower") },
        { item: PREXP("magnum_star_drei") }, //1.6 bil
        { item: PREXP("dark_power_flower") }
      ],
      inputFluid: "{FluidName:\"boss_tools:oil\",Amount:8000}",
      processingTime: 400,
      output: {
        item: PREXT("red_matter_trident"),
        count: 1
      },
      type: IF("dissolution_chamber")
  }).id(KJ("red_matter_trident"))
})